Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361343 - [abrt] gvfs-archive: Ppmd7_DecodeSymbol(): gvfsd-archive killed by SIGSEGV [NEEDINFO]
Summary: [abrt] gvfs-archive: Ppmd7_DecodeSymbol(): gvfsd-archive killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gvfs
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Holy
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:e66d642381f5f208e5f8febabd5...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-28 21:33 UTC by wpqagimd
Modified: 2017-08-08 15:57 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:57:53 UTC
oholy: needinfo? (wpqagimd)


Attachments (Terms of Use)
File: backtrace (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details
File: cgroup (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details
File: core_backtrace (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details
File: dso_list (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details
File: environ (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details
File: exploitable (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details
File: limits (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details
File: maps (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details
File: mountinfo (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details
File: namespaces (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details
File: open_fds (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details
File: proc_pid_status (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details
File: var_log_messages (deleted)
2016-07-28 21:33 UTC, wpqagimd
no flags Details

Description wpqagimd 2016-07-28 21:33:02 UTC
Version-Release number of selected component:
gvfs-archive-1.28.2-1.fc24

Additional info:
reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-archive 'file=/home/headplug/Downloads/Nextcloud_Community_VM_PRODUCTION (1).rar'
crash_function: Ppmd7_DecodeSymbol
executable:     /usr/libexec/gvfsd-archive
global_pid:     11463
kernel:         4.6.4-301.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (7 frames)
 #0 Ppmd7_DecodeSymbol at libarchive/archive_ppmd7.c:870
 #1 read_data_compressed at libarchive/archive_read_support_format_rar.c:1939
 #2 archive_read_format_rar_read_data at libarchive/archive_read_support_format_rar.c:1040
 #3 archive_read_data at libarchive/archive_read.c:842
 #4 do_read at gvfsbackendarchive.c:818
 #5 g_vfs_job_run at gvfsjob.c:197
 #7 g_thread_proxy at gthread.c:780

Comment 1 wpqagimd 2016-07-28 21:33:09 UTC
Created attachment 1185286 [details]
File: backtrace

Comment 2 wpqagimd 2016-07-28 21:33:11 UTC
Created attachment 1185287 [details]
File: cgroup

Comment 3 wpqagimd 2016-07-28 21:33:13 UTC
Created attachment 1185288 [details]
File: core_backtrace

Comment 4 wpqagimd 2016-07-28 21:33:14 UTC
Created attachment 1185289 [details]
File: dso_list

Comment 5 wpqagimd 2016-07-28 21:33:16 UTC
Created attachment 1185290 [details]
File: environ

Comment 6 wpqagimd 2016-07-28 21:33:17 UTC
Created attachment 1185291 [details]
File: exploitable

Comment 7 wpqagimd 2016-07-28 21:33:19 UTC
Created attachment 1185292 [details]
File: limits

Comment 8 wpqagimd 2016-07-28 21:33:21 UTC
Created attachment 1185293 [details]
File: maps

Comment 9 wpqagimd 2016-07-28 21:33:23 UTC
Created attachment 1185294 [details]
File: mountinfo

Comment 10 wpqagimd 2016-07-28 21:33:24 UTC
Created attachment 1185295 [details]
File: namespaces

Comment 11 wpqagimd 2016-07-28 21:33:26 UTC
Created attachment 1185296 [details]
File: open_fds

Comment 12 wpqagimd 2016-07-28 21:33:27 UTC
Created attachment 1185297 [details]
File: proc_pid_status

Comment 13 wpqagimd 2016-07-28 21:33:29 UTC
Created attachment 1185298 [details]
File: var_log_messages

Comment 14 Ondrej Holy 2016-07-29 07:09:27 UTC
Thanks for your bug report. Are you able to reproduce the bug? Can you provide the archive, which caused this crash? It seems like a bug in the underlying libarchive library...

Comment 15 Fedora End Of Life 2017-07-25 22:07:09 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 16 Fedora End Of Life 2017-08-08 15:57:53 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.